<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<title>Weather - {{ data["name"] }}</title>
		<script
			type="text/javascript"
			src="{{ url_for('static', filename='ol/ol.js') }}"
		></script>
		<link
			rel="stylesheet"
			href="{{ url_for('static', filename='ol/ol.css') }}"
		>
		<link
			rel="stylesheet"
			href="{{ url_for('static', filename='base.css') }}"
		>
	</head>
	<body>
		<main>
			<section id="map"></section>
			<section id="controls">
				<h1>Weather in {{ data["name"] }}, {{ data["sys"]["country"] }}</h1>
				
				<div class="weather-icon-wrapper">
					<img
						alt="{{ data['weather'][0]['description'] }}"
						src="http://openweathermap.org/img/wn/{{ data['weather'][0]['icon'] }}@2x.png"
					>
					<div>
						<h2>{{ data["main"]["temp"] }} °C, {{ data["weather"][0]["description"] }}</h2>
						<div>Feels like {{ data["main"]["feels_like"] }} °C</div>
					</div>
				</div>
				
				<form method="GET" id="weather-update-form">
					<input type="text" placeholder="Location" id="location" name="location">
					<input type="submit" value="Update">
				</form>
			</section>
		</main>
		<script type="text/javascript">
			const map = new ol.Map({
				target: 'map',
				layers: [
					new ol.layer.Tile({
						source: new ol.source.OSM()
					}),
					new ol.layer.Tile({
						source: new ol.source.XYZ({
							url: (
								"https://tile.openweathermap.org/map/precipitation_new/{z}/{x}/{y}.png?appid={{ config['API_KEY'] }}"
							)
						})
					})
				],
				view: new ol.View({
					center: ol.proj.fromLonLat([{{ data["coord"]["lon"] }}, {{ data["coord"]["lat"] }}]),
					zoom: 9
				})
			});
		</script>
	</body>
</html>
